// A simple compilable script for demonstrating the Geometry service.
// to compile a run this particular scipt execute '.x example.C' from
// the ROOT comand line. 

#include <iostream>
#include <map>
#include "TROOT.h"
#include "Geometry.h"
#include "TSystem.h"

int draw(){
	cout << "Running the main" << endl;
	
	Geometry* geo = new Geometry("geo/hec_geo_030629.dat","geo/emec_geo_030801.dat","geo/global_geo_030617.dat");
	
	// draw the volume of all the hec cells
	map<int, TVector3> hec_LocalGeoCenterMap = geo->hec_LocalGeoCenterMap();
	map<int, float> hecV;
	for (map<int, TVector3>::iterator it = hec_LocalGeoCenterMap.begin(); it != hec_LocalGeoCenterMap.end(); ++it) {
		int febno = it->first;
		hecV[febno] = geo->hec_Volume(febno);
	}
	geo->draw2DHec(hecV,       0, false, 0., 0., "volume (cm^3)");	
	
	// draw the volume of the emec cells
	map<int, TVector3> emec_LocalGeoCenterMap = geo->emec_LocalGeoCenterMap();
	map<int, float> emecV;
	for (map<int, TVector3>::iterator it = emec_LocalGeoCenterMap.begin(); it != emec_LocalGeoCenterMap.end(); ++it) {
		int febno = it->first;
		emecV[febno] = geo->emec_Volume(febno);
	}
	geo->draw2DEmec(emecV,       0, false, 0., 0., "volume (cm^3)");	
	
	return 0;
}
